# MatPartitioningChacoSetGlobal

Set method for global partitioning.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningChacoSetGlobal(MatPartitioning part, MPChacoGlobalType method)

### Input Parameter

part -the partitioning context
method -MP_CHACO_MULTILEVEL_KL, MP_CHACO_SPECTRAL, MP_CHACO_LINEAR, MP_CHACO_RANDOM or MP_CHACO_SCATTERED

Level:advanced
Location: src/mat/partition/impls/chaco/chaco.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages